.TH EUKLEIDES 1 "5 November 2002"
.SH NAME
eukleides \- a Euclidean geometry drawing language compiler.
.SH SYNOPSIS
\fBeukleides\fP [ -v | -h ]
.br
\fBeukleides\fP [ -f ] \fIfilename\fP
.br
\fBeuk2eps\fP \fIfilename\fP
.br
\fBeuk2edit\fP \fIfilename\fP \fIformat\fP
.SH DESCRIPTION
The language \fIEukleides\fP provides simple and powerful commands for creating elementary Euclidean geometry figures.
The compiler \fBeukleides\fP translates a source file written in this specific language into TeX
(PSTricks) macro-commands.
The result is sent to standard output.
.br
The shell script \fBeuk2eps\fP creates an EPS file from a Eukleides source file.
It calls \fBeukleides\fP, \fBtex\fP, \fBdvips\fP and removes the intermediate files.
The shell script \fBeuk2edit\fP converts a Eukleides source file into various vector graphic formats.
It calls \fBeuk2eps\fP, \fBeps2pdf\fP, \fBpstoedit\fP and removes the intermediate files.
To know the available formats, run \fBpstoedit --help\fP.
.SS Options
.TP
\fB-v\fP
Print version number.
.TP
\fB-h\fP
Print immediate help.
.TP
\fB-f\fP
Run as a filter, in order to compile figures embedded in a (La)TeX source file.
In this case, they have to begin with `%--eukleides' and end with `%--stop' or `%--end'.
The `%--stop' ending tag tells \fBeukleides\fP to keep variables in memory for further use.
With the `%--end' tag, variables are cleared.
.SH DOCUMENTATION
See `Eukleides' entry in info for comprehensive documentation.
.SH "SEE ALSO"
xeukleides (1x).
.SH AUTHOR
Christian Obrecht <christian.obrecht@wanadoo.fr>. 

